// Технические требования:
// Считать с помощью модального окна браузера число, которое введет пользователь.
// Вывести в консоли все числа кратные 5, от 0 до введенного пользователем числа.
// Если таких чисел нету -
//  вывести в консоль фразу `Sorry, no numbers'
// Обязательно необходимо использовать синтаксис ES6 (ES2015) при создании переменных.


let num;

do {
  num = +prompt("Enter a number")
}
while (!Number.isInteger(num));

if (num < 5 || num === 0) {
  console.log("Sorry,no numbers")
}

for (let i = 0; i <= num; i++) {
  if (i < 1) {
    continue;
  } else if (i % 5 === 0) {
    console.log(i);
  }
}

// Проверить, что введенное значение является целым числом.
//  Если данное условие не соблюдается, повторять вывод окна на экран до тех пор,
//   пока не будет введено целое число.

// Считать два числа, m и n.Вывести в консоль все простые числа в диапазоне
//  от m до n(меньшее из введенных чисел будет m,
//  бОльшее будет n).Если хотя бы одно из чисел не соблюдает условие валидации,
//  указанное выше, вывести сообщение об ошибке,
//  и спросить оба числа заново.

let m;
let n;
do {
   m = +prompt("Enter a number")
}
while (!Number.isInteger(m));

do {
  n = +prompt("Enter second number")
}
while (!Number.isInteger(n));


nextPrime:
  for (let i = 2; i <= n; i++) {
    if (i < m) {
      continue;
    }
    for (let x = 2; x < i; x++) {
      if (i % x === 0) continue nextPrime;
    }
    console.log(i);
  }
